summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2012-09-12 08:52:10 +0200
committer Matteo Bernardini2012-09-12 10:05:56 +0200
commit3bbb9463184135e36f2d1cb2f8038cd2be11a83b (patch)
treef9b454b34366c040b5daa7f9354f480731faa7e3 /libraries
parent7b203a102abaf51ec6a960a4079d77d929206fd9 (diff)
downloadslackbuilds-3bbb9463184135e36f2d1cb2f8038cd2be11a83b.tar.gz
libraries/libpgf: Added (Image file format).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libpgf/README6
-rw-r--r--libraries/libpgf/libpgf.SlackBuild113
-rw-r--r--libraries/libpgf/libpgf.info10
-rw-r--r--libraries/libpgf/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/libraries/libpgf/README b/libraries/libpgf/README
new file mode 100644
index 0000000000..c25e2739b7
--- /dev/null
+++ b/libraries/libpgf/README
@@ -0,0 +1,6 @@
+libpgf is a new image file format, based on discrete, fast wavelet
+transform with progressive coding features that provides lossless
+and lossy compression.
+
+It's considered as one of the best algorithms available these days
+for compression of natural images
diff --git a/libraries/libpgf/libpgf.SlackBuild b/libraries/libpgf/libpgf.SlackBuild
new file mode 100644
index 0000000000..6a44e8d2b2
--- /dev/null
+++ b/libraries/libpgf/libpgf.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Changelog
+# June, 8, 2012 : Initial Release
+# July, 10, 2012: Upgraded to 6.12.24
+
+PRGNAM=libpgf
+VERSION=6.12.24
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar xvf $CWD/${PRGNAM}-$VERSION-src.tar.gz
+cd ${PRGNAM}
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# So strange that i have to add this one line to fix the permission problem
+chmod 755 autogen.sh
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+# Build and install:
+make || make -j1
+make install DESTDIR=$PKG
+
+# Strip binaries:
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/${PRGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $TMP/package-${PRGNAM}
+/sbin/makepkg -l y -c n $OUTPUT/${PRGNAM}-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libpgf/libpgf.info b/libraries/libpgf/libpgf.info
new file mode 100644
index 0000000000..e1568099ce
--- /dev/null
+++ b/libraries/libpgf/libpgf.info
@@ -0,0 +1,10 @@
+PRGNAM="libpgf"
+VERSION="6.12.24"
+HOMEPAGE="http://www.libpgf.org"
+DOWNLOAD="http://downloads.sourceforge.net/libpgf/libpgf-6.12.24-src.tar.gz"
+MD5SUM="49ae25a63804273f0c6875f477b5f6d2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/libraries/libpgf/slack-desc b/libraries/libpgf/slack-desc
new file mode 100644
index 0000000000..65843ae5c6
--- /dev/null
+++ b/libraries/libpgf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libpgf: libpgf (Image file format)
+libpgf:
+libpgf: libpgf is a new image file format, based on discrete, fast wavelet
+libpgf: transform with progressive coding features that provides lossless
+libpgf: and lossy compression.
+libpgf:
+libpgf: It's considered as one of the best algorithms available these days
+libpgf: for compression of natural images
+libpgf:
+libpgf: Project Home page: http://www.libpgf.org/
+libpgf: